%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:   Color management tools for GNOME
Name:      gnome-color-manager
Version:   2.91.1
Release:   4%{?dist}
License:   GPLv2+
Group:     Applications/System
URL:       http://projects.gnome.org/gnome-color-manager/
Source0:   http://download.gnome.org/sources/gnome-color-manager/2.91/%{name}-%{version}.tar.bz2

Requires:  color-filesystem >= 1-7
Requires:  gnome-icon-theme
Requires:  shared-mime-info
Requires:  shared-color-profiles
Requires:  dconf
Requires:  GConf2 >= 2.31.1

BuildRequires: gtk2-devel >= 2.16.0
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: libtool
BuildRequires: vte-devel
BuildRequires: gnome-doc-utils
BuildRequires: intltool
BuildRequires: libgudev1-devel
BuildRequires: libXrandr-devel
BuildRequires: lcms2-devel
BuildRequires: cups-devel
BuildRequires: sane-backends-devel
BuildRequires: libtiff-devel
BuildRequires: libexif-devel
BuildRequires: exiv2-devel
BuildRequires: libcanberra-devel
BuildRequires: libnotify-devel >= 0.5.0
BuildRequires: glib2-devel >= 2.25.9-2
BuildRequires: control-center-devel >= 2.90.1
BuildRequires: gnome-settings-daemon-devel >= 2.90.1
BuildRequires: libusb1-devel
BuildRequires: docbook-utils

%description
gnome-color-manager is a session framework that makes it easy to manage, install
and generate color profiles in the GNOME desktop.

%prep
%setup -q

%build
%configure --disable-scrollkeeper --disable-schemas-install
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

for i in gcm-prefs gcm-import ; do
  desktop-file-install --delete-original                                \
    --dir=$RPM_BUILD_ROOT%{_datadir}/applications/                      \
    $RPM_BUILD_ROOT%{_datadir}/applications/$i.desktop
done

rm -f $RPM_BUILD_ROOT%{_libdir}/control-center-1/panels/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/control-center-1/panels/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-settings-daemon-2.0/libcolor.a
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-settings-daemon-2.0/libcolor.la

%find_lang %name --with-gnome

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi
update-desktop-database %{_datadir}/applications &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
/lib/udev/rules.d/*.rules
/lib/udev/gcm-*
%{_bindir}/gcm-*
%{_libexecdir}/*
%dir %{_datadir}/gnome-color-manager
%{_datadir}/gnome-color-manager/gcm-*.ui
%dir %{_datadir}/gnome-color-manager/targets
%dir %{_datadir}/gnome-color-manager/icons
%{_datadir}/gnome-color-manager/targets
%{_datadir}/gnome-color-manager/icons
%{_datadir}/gnome-color-manager/figures
%{_datadir}/man/man1/*.1.gz
%{_datadir}/gnome/help/gnome-color-manager
%{_datadir}/omf/gnome-color-manager
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/scalable/*/*.svg*
%{_datadir}/applications/gcm-prefs.desktop
%{_datadir}/applications/gcm-import.desktop
%{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/dbus-1/services/org.gnome.ColorManager.service
%{_sbindir}/gcm-install-system-wide
%{_datadir}/polkit-1/actions/org.gnome.color.policy
%{_datadir}/glib-2.0/schemas/org.gnome.color-manager.gschema.xml
%{_datadir}/GConf/gsettings/org.gnome.color-manager.gschema.migrate
%{_datadir}/dbus-1/interfaces/org.gnome.ColorManager.xml
%{_libdir}/control-center-1/panels/*.so
%{_includedir}/libcolor-glib/*.h
%{_libdir}/libcolor-glib.so
%{_libdir}/libcolor-glib.so.1
%{_libdir}/libcolor-glib.so.1.0.0
%{_libdir}/pkgconfig/libcolor-glib.pc
%{_datadir}/gtk-doc/html/libcolor-glib
%{_libdir}/gnome-settings-daemon-2.0/color.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-2.0/libcolor.so

%changelog
* Tue Oct 05 2010 Richard Hughes <richard@hughsie.com> 2.91.1-4
- Add BR docbook-utils

* Tue Oct 05 2010 Richard Hughes <richard@hughsie.com> 2.91.1-3
- Add BR libusb1-devel

* Tue Oct 05 2010 Richard Hughes <richard@hughsie.com> 2.91.1-2
- Add BR gnome-settings-daemon-devel

* Tue Oct 05 2010 Richard Hughes <richard@hughsie.com> 2.91.1-1
- New upstream release.

* Mon Sep 11 2010 Richard Hughes <richard@hughsie.com> 2.31.4-2
- Remove the explicit dependency on yelp.
- Resolves: #626242

* Thu Jul 01 2010 Richard Hughes <richard@hughsie.com> 2.31.4-1
- New upstream release.

* Mon Jun 28 2010 Matthias Clasen <mclasen@redhat.com> 2.31.3-3
- Rebuild

* Tue Jun 22 2010 Richard Hughes <richard@hughsie.com> 2.31.3-2
- Actually upload new tarball. Grrr.

* Mon Jun 21 2010 Richard Hughes <richard@hughsie.com> 2.31.3-1
- New upstream release.

* Wed Jun 16 2010 Matthias Clasen <mclasen@redhat.com> 2.31.2-5
- Nuke the scrollkeeper runtime dep

* Thu Jun 03 2010 Richard Hughes <richard@hughsie.com> 2.31.2-4
- Patience is a virtue, pursue it if you can -- never in a programmer
  always in a can.

* Wed Jun 02 2010 Richard Hughes <richard@hughsie.com> 2.31.2-3
- Build against the fixed sane-backends.

* Wed Jun 02 2010 Richard Hughes <richard@hughsie.com> 2.31.2-2
- Actually upload source tarball...

* Wed Jun 02 2010 Richard Hughes <richard@hughsie.com> 2.31.2-1
- New upstream release.

* Thu May 06 2010 Richard Hughes <richard@hughsie.com> 2.31.1-1
- New upstream release.

* Mon Apr 26 2010 Matthias Clasen <mclasen@redhat.com> 2.30.1-1
- Update to 2.30.1

* Fri Apr  2 2010 Matthias Clasen <mclasen@redhat.com> 2.30.0-4
- BR GConf to make the macros work
- Modernize icon cache handling

* Wed Mar 31 2010 Richard Hughes <richard@hughsie.com> 2.30.0-3
- Fix up a scriptlet problem.
- Resolves: #578611

* Mon Mar 29 2010 Richard Hughes <richard@hughsie.com> 2.30.0-2
- Add libnotify BR.

* Mon Mar 29 2010 Richard Hughes <richard@hughsie.com> 2.30.0-1
- New upstream release.

* Tue Mar 09 2010 Richard Hughes <richard@hughsie.com> 2.29.4-2
- Update to the latest version of the Fedora Packaging Guidelines
- Remove the custom BuildRoot
- Do not clean the buildroot before install
- Use the gconf_schema defines for the GConf schemas
- Remove some over-zealous Requires that are already picked up by rpm.
- Resolves #571658

* Mon Mar 01 2010 Richard Hughes <richard@hughsie.com> 2.29.4-1
- New upstream release.

* Mon Feb 22 2010 Richard Hughes <richard@hughsie.com> 2.29.4-0.1.20100222
- Another new snapshot from upstream with lots of bugs fixed from the Fedora
  test day.

* Wed Feb 18 2010 Richard Hughes <richard@hughsie.com> 2.29.4-0.1.20100218
- Another new snapshot from upstream for the Fedora test day.

* Wed Feb 17 2010 Richard Hughes <richard@hughsie.com> 2.29.4-0.1.20100217
- New snapshot from upstream for the Fedora test day.

* Mon Feb 01 2010 Richard Hughes <richard@hughsie.com> 2.29.3-1
- New upstream release.

* Mon Jan 18 2010 Matthias Clasen <mclasen@redhat.com> 2.29.2-3
- Rebuild against new gnome-desktop

* Mon Jan 04 2010 Richard Hughes <richard@hughsie.com> 2.29.2-2
- Rebuild, hopefully koji has now a working glibc.

* Mon Jan 04 2010 Richard Hughes <richard@hughsie.com> 2.29.2-1
- New upstream release.

* Fri Dec 04 2009 Richard Hughes <richard@hughsie.com> 2.29.1-1
- Initial spec for review.

